## org.eclipse.emf.cdo.spi.server
Class ContainerQueryHandlerProvider

    java.lang.Object
      org.eclipse.emf.cdo.spi.server.ContainerQueryHandlerProvider

All Implemented Interfaces:
  IQueryHandlerProvider

    public class ContainerQueryHandlerProvider

extends java.lang.Object
implements IQueryHandlerProvider

Since:
  2.0

Constructor Summary
`ContainerQueryHandlerProvider(org.eclipse.net4j.util.container.IManagedContainer container)`

Method Summary
`org.eclipse.net4j.util.container.IManagedContainer` `getContainer()`
`IQueryHandler` `getQueryHandler(CDOQueryInfo info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerQueryHandlerProvider

    public ContainerQueryHandlerProvider(org.eclipse.net4j.util.container.IManagedContainer container)

Method Detail

### getContainer

    public org.eclipse.net4j.util.container.IManagedContainer getContainer()

### getQueryHandler

    public IQueryHandler getQueryHandler(CDOQueryInfo info)

  Specified by:
    `getQueryHandler` in interface `IQueryHandlerProvider`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.